Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.catalina.cluster
Class MulticastReceiver

    java.lang.Object
      |
      +--org.apache.catalina.cluster.ClusterSessionBase
            |
            +--org.apache.catalina.cluster.MulticastReceiver

All Implemented Interfaces:
  ClusterReceiver, java.lang.Runnable

public final class MulticastReceiver
extends ClusterSessionBase
implements ClusterReceiver

This class is responsible for checking for incoming multicast data and determine if the data belongs to us and if so push it onto an internal stack and let it be picked up when needed.

Version:
  $Revision: 1.3.2.2 $, $Date: 2002/01/03 10:44:32 $
Author:
  Bip Thelin

Field Summary
`protected boolean` | `threadDone` The background thread completion semaphore.

Fields inherited from class org.apache.catalina.cluster.ClusterSessionBase
`sm`

Method Summary
`int` | `getCheckInterval()` Get the time in seconds this Cluster sleeps
`java.lang.String` | `getName()` Return a `String` containing the name of this implementation, used for logging
`java.lang.Object[]` | `getObjects()` Receive the objects currently in our stack and clear if afterwards.
`void` | `run()` The background thread.
`void` | `setCheckInterval(int checkInterval)` Set the time in seconds for this component to Sleep before it checks for new received data in the Cluster
`void` | `start()` Start our component
`void` | `stop()` Stop our component

Methods inherited from class org.apache.catalina.cluster.ClusterSessionBase
`getDebug, getLogger, getSenderId, log, setDebug, setLogger, setSenderId`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.apache.catalina.cluster.ClusterReceiver
`getDebug, getLogger, getSenderId, log, setDebug, setLogger, setSenderId`

Field Detail

### threadDone

    protected boolean threadDone

  The background thread completion semaphore.

Method Detail

### getName

    public java.lang.String getName()

  Return a `String` containing the name of this implementation, used for logging
  Overrides:
    `getName` in class `ClusterSessionBase`
  Returns:
    The name of the implementation

### setCheckInterval

    public void setCheckInterval(int checkInterval)

  Set the time in seconds for this component to Sleep before it checks for new received data in the Cluster
  Specified by:
    `setCheckInterval` in interface `ClusterReceiver`
  Parameters:
    `checkInterval` - The time to sleep

### getCheckInterval

    public int getCheckInterval()

  Get the time in seconds this Cluster sleeps
  Specified by:
    `getCheckInterval` in interface `ClusterReceiver`
  Returns:
    The time in seconds this Cluster sleeps

### getObjects

    public java.lang.Object[] getObjects()

  Receive the objects currently in our stack and clear if afterwards.
  Specified by:
    `getObjects` in interface `ClusterReceiver`
  Returns:
    An array with objects

### start

    public void start()

  Start our component
  Specified by:
    `start` in interface `ClusterReceiver`

### stop

    public void stop()

  Stop our component
  Specified by:
    `stop` in interface `ClusterReceiver`

### run

    public void run()

  The background thread.
  Specified by:
    `run` in interface `ClusterReceiver`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2001 Apache Software Foundation. All Rights Reserved.